Subject: pkg_* changes
To: None <>
From: Hubert Feyrer <>
List: tech-pkg
Date: 01/20/2000 01:05:47
I've just committed the last fragments of code to finish implementation of
wildcards in the NetBSD Packages System. This is ready for use, but needs
some cleanup. I'd like to see this go into 1.4.2 so people don't have to
upgrade their pkg_* tools immediately after 1.4.2.[*]

What I want to do for 1.4.2 is:
 - Clean up the pkg_* code
 - Pull up everything into 1.4.2
 - Update the pkg_install package
 - Remove the conditionals for the size code in
 - Re-enable wildcards in binary packages

Anything else? Please let me know, also if you have questions or problems
with the new code. Anything. Enjoy! :-)

 - Hubert

[*] this assumes that no bugfixes are necessary. I've done my best to test
    all the involved cases, but YOUR help is needed here! Upgrade your 
    pkg_* tools to that of NetBSD-current, apply the patch for
    from, generate
    some binary pkgs, preferrably ones that contain wildcard depends, and
    install them via FTP. 

    BTW, the preparing pkgsrc for the upcoming 1.4.2 release should be
    a good excuse for that. :)

NetBSD - Better for your uptime than Viagra